clc
syms A b x R1 R2 R3 R4 R5 U;
disp('Flegel Birnstiel Nerreter, 9. Auflage');
disp('Elektrotechnik fr Maschinenbau und Mechatronik');
disp('Beispiel 2.11, Seite 32');
% Die Knotengleichungen I2=I5-I1 und I4=I3+I5
% werden in die Maschengleichungen eingesetzt:
% (R1+R2)*I1 - R2*I5 = U
% (R3+R4)*I3 + R4*I5 = U
% R1*I1 - R3*I3 + R5*I5 = 0
A=[R1+R2 0 -R2; 0 R3+R4 R4; R1 -R3 R5];
b=[U; U; 0];
x=sym(A)\sym(b);
disp(' ');
% Re = U/I = U/(I1 + I3);
Re=U/(x(1)+x(2));
Re=simplify(Re)