clc
disp('Flegel Birnstiel Nerreter, 9. Auflage');
disp('Elektrotechnik fr Maschinenbau und Mechatronik');
disp('Beispiel 12.3, Seite 150');
SN=10.0e3; % Nennleistung kVA
U1=230; % Primrspannung
I1N=SN/U1; % Nennstrom primr
Uk=14; % Kurzschlussspannung
Pk=410; % Kurzschlussverluste
Rk=Pk/I1N^2;
R1=Rk/2;
Zk=Uk/I1N;
Xk=sqrt(Zk^2 - Rk^2);
X1s=Xk/2;
disp(' ');
disp(['R1  = ',sprintf(' %1.4f ',R1),'Ohm']);
disp(['X1s = ',sprintf(' %1.4f ',X1s),'Ohm']);
uk=Uk/U1;
disp(' ');
disp(['uk = ',sprintf(' %2.3f ',uk*100),'%']);
IkN=I1N/uk;
disp(' ');
disp(['IkN = ',sprintf(' %3.2f ',IkN),'A']);
