clc
disp('Flegel Birnstiel Nerreter, 9. Auflage');
disp('Elektrotechnik fr Maschinenbau und Mechatronik');
disp('Beispiel 12.4, Seite 151');
SN=10.0e3; % Nennleistung kVA
U1=230; % Primrspannung
U20=10500; % Sekundrspannung bei Leerlauf
I1N=SN/U1; % Nennstrom primr
Uk=14; % Kurzschlussspannung
Pk=410; % Kurzschlussverluste
Rk=Pk/I1N^2;
Zk=Uk/I1N;
Xk=sqrt(Zk^2 - Rk^2);
UR=Rk*I1N;
UX=Xk*I1N;
disp(' ');
disp('a) cos phi = 1');
U2phis=UR;
disp(['U2ps = ',sprintf(' %2.4f ',U2phis),'V']);
U2=U20-U2phis*U20/U1;
disp(['U2 = ',sprintf(' %2.4f ',U2/1000),'kV']);
disp(' ');
disp('b) cos phi = 0,8 ind.');
cosphi=0.8;
sinphi=sqrt(1-cosphi^2);
U2phis=UR*cosphi+UX*sinphi;
disp(['U2ps = ',sprintf(' %2.4f ',U2phis),'V']);
U2=U20-U2phis*U20/U1;
disp(['U2 = ',sprintf(' %2.4f ',U2/1000),'kV']);
disp(' ');
disp('b) cos phi = 0,6 kap.');
cosphi=0.6;
sinphi=-sqrt(1-cosphi^2);
U2phis=UR*cosphi+UX*sinphi;
disp(['U2ps = ',sprintf(' %2.4f ',U2phis),'V']);
U2=U20-U2phis*U20/U1;
disp(['U2 = ',sprintf(' %2.4f ',U2/1000),'kV']);